> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend Verification Codes

> If, during onboarding, the verification codes do not arrive, or are lost, the client can request the codes to be resent.

## Overview

If, during onboarding, the verification codes do not arrive, or are lost, the client can request the codes to be resent. To do this, the client needs to provide the token generated during account creation, as well as the eMail or phone number whose code they wish to resend.

Security Notice: It is not possible to resend codes for accounts, numbers or e-mail  addresses that have been verified. You can only resend codes for accounts still pending  verification. This includes partially verified accounts. If the phone number has been  verified, but the e-mail address has not, or vice versa, you can resend the code for the  unverified part, but not for the verified part. Attempting to resend codes that have been  verified, will be flagged, and repetetive calls to resend codes for verified accounts,  numbers or addresses may result in the temporary and then permanent blocking of the endpoint  making the call.

## Authentication

No authentication required.

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/guides/pattern-matching).


## OpenAPI

````yaml /test-api/openapi.yaml post /Agent/Account/ResendVerificationCodes
openapi: 3.1.0
info:
  title: Neuron Agent API
  version: 1.0.0
  description: |-
    The Agent API exposes core Neuron functionality over HTTP so services can
    operate without a persistent XMPP connection. Endpoints are grouped by
    capability, starting with Accounts and XMPP messaging.
servers:
  - url: https://{host}
    variables:
      host:
        default: neuron.example.com
        description: Neuron domain issued to you.
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Crypto
  - name: Open intelligence
  - name: Legal and contracts
  - name: State machines
  - name: Storage
  - name: Tokens
  - name: Wallet
  - name: XMPP messaging
paths:
  /Agent/Account/ResendVerificationCodes:
    post:
      tags:
        - Accounts
      summary: Resend Verification Codes
      description: >-
        If, during onboarding, the verification codes do not arrive, or are
        lost, the client can request the codes to be resent.
      operationId: post_Agent_Account_ResendVerificationCodes
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                eMail:
                  type: string
                phoneNr:
                  type: string
                language:
                  type: string
              additionalProperties: true
              required:
                - eMail
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: true
              example: {}
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````